Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Enum MethodIntfType

    java.lang.Object
      java.lang.Enum<MethodIntfType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar31.MethodIntfType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MethodIntfType>

    public enum MethodIntfType

extends java.lang.Enum<MethodIntfType>

This class implements the `method-intfType` xsd type

Original Documentation:

The method-intf element allows a method element to
differentiate between the methods with the same name and
signature that are multiply defined across the home and
component interfaces (e.g, in both an enterprise bean's
remote and local interfaces or in both an enterprise bean's
home and remote interfaces, etc.); the component and web
service endpoint interfaces, and so on.
Local applies to the local component interface, local business
interfaces, and the no-interface view.
Remote applies to both remote component interface and the remote
business interfaces.
ServiceEndpoint refers to methods exposed through a web service
endpoint.
Timer refers to the bean's timeout callback methods.
MessageEndpoint refers to the methods of a message-driven bean's
message-listener interface.
The method-intf element must be one of the following:
Home
Remote
LocalHome
Local
ServiceEndpoint
Timer
MessageEndpoint

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_HOME`
`_LOCAL`
`_LOCALHOME`
`_MESSAGEENDPOINT`
`_REMOTE`
`_SERVICEENDPOINT`
`_TIMER`

Method Summary
`static MethodIntfType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static MethodIntfType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MethodIntfType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _HOME

    public static final MethodIntfType _HOME

### _REMOTE

    public static final MethodIntfType _REMOTE

### _LOCALHOME

    public static final MethodIntfType _LOCALHOME

### _LOCAL

    public static final MethodIntfType _LOCAL

### _SERVICEENDPOINT

    public static final MethodIntfType _SERVICEENDPOINT

### _TIMER

    public static final MethodIntfType _TIMER

### _MESSAGEENDPOINT

    public static final MethodIntfType _MESSAGEENDPOINT

Method Detail

### values

    public static MethodIntfType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MethodIntfType c : MethodIntfType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MethodIntfType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<MethodIntfType>`

### getFromStringValue

    public static MethodIntfType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD